summaryrefslogtreecommitdiff
path: root/debian/sync-httpd.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/sync-httpd.prerm')
-rw-r--r--debian/sync-httpd.prerm4
1 files changed, 4 insertions, 0 deletions
diff --git a/debian/sync-httpd.prerm b/debian/sync-httpd.prerm
index 24bed99..0c134b2 100644
--- a/debian/sync-httpd.prerm
+++ b/debian/sync-httpd.prerm
@@ -2,6 +2,10 @@
set -e
+if [ -d /run/systemd/system ] && [ "$1" = remove ]; then
+ deb-systemd-invoke stop 'sync-httpd.service' >/dev/null || true
+fi
+
if [ -f /usr/share/debconf/confmodule ]; then
. /usr/share/debconf/confmodule
fi